Refund a Charge

This API refunds a previously created charge.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Click to view details about the `amount`, `reason`, `description`, and notification parameters

1. Amount (amount)

  • Type: integer
  • Description: A positive integer in cents representing how much to charge.
  • Required: Optional
  • Format: Numeric (in cents)
  • Min Length: 1 digit
  • Max Length: 8 digits
  • Example:
    • 9 would be $0.09
    • 99999999 would be $999,999.99
  • Note: The minimum amount is $0.50 USD when testing in the test environment.

2. Reason (reason)

  • Type: string
  • Description: Reason for refunding a transaction.
  • Required: Optional
  • Format: Alphabetic
  • Allowed Values:
    • requested_by_customer
    • fraudulent
    • duplicate
    • other

3. Description (description)

  • Type: string
  • Description: Description for refunding a transaction.
  • Required: Optional
  • Format: Alphanumeric and Special Characters
  • Min Length: 5 characters
  • Max Length: 190 characters
  • Example: Description for refund.

4. Do Not Send Email to Customer (do_not_send_email_to_customer)

  • Type: string
  • Description: To prevent sending an email to the customer for a transaction. By default, the system will send an email.
  • Required: Optional
  • Format: Yes/No

5. Do Not Send SMS to Customer (do_not_send_sms_to_customer)

  • Type: string
  • Description: To prevent sending an SMS to the customer. In order to prevent sending an SMS, the value must be yes. If not present, an SMS will be sent.
  • Required: Optional
  • Format: Yes/No
Path Params
string
required

charge_id here represents a specific charge that should be refunded.

Body Params
int32

A positive integer in cents representing how much to charge.

string
enum

Reason for refunding a transaction.

Allowed:
string

Description for refunding a transaction.

string

To prevent sending mail to customer for transaction. By default the system will sent mail

string

Do not send sms to customer. in order to prevent sending sms the value must be yes. If not present sms will be send

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
string
enum
Defaults to application/json

Generated from available request content types

Allowed:
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/plain